Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.admin
Class LdapUserTester

    java.lang.Object
      org.jivesoftware.admin.LdapUserTester

    public class LdapUserTester

extends Object

Class that assists during the testing of the user-ldap mapping.

Author:
  Gaston Dombiak

Field Summary
`static String` | `BIRTHDAY`
`static String` | `BUSINESS_CITY`
`static String` | `BUSINESS_COUNTRY`
`static String` | `BUSINESS_DEPARTMENT`
`static String` | `BUSINESS_FAX`
`static String` | `BUSINESS_JOB_TITLE`
`static String` | `BUSINESS_MOBILE`
`static String` | `BUSINESS_PAGER`
`static String` | `BUSINESS_PHONE`
`static String` | `BUSINESS_STATE`
`static String` | `BUSINESS_STREET`
`static String` | `BUSINESS_ZIP`
`static String` | `EMAIL`
`static String` | `FULL_NAME`
`static String` | `HOME_CITY`
`static String` | `HOME_COUNTRY`
`static String` | `HOME_FAX`
`static String` | `HOME_MOBILE`
`static String` | `HOME_PAGER`
`static String` | `HOME_PHONE`
`static String` | `HOME_STATE`
`static String` | `HOME_STREET`
`static String` | `HOME_ZIP`
`static String` | `NAME` Constants to access user properties
`static String` | `NICKNAME`
`static String` | `PHOTO`

Constructor Summary
`LdapUserTester(LdapManager manager, LdapUserProfile profile)`

Method Summary
`Map<String,String>` | `getAttributes(String username)` Returns a list of attributes and their LDAP values found in LDAP for the specified username.
`List<String>` | `getSample(int maxSample)` Returns a list of usernames with a sample of the users found in LDAP.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

  Constants to access user properties

  See Also:
    Constant Field Values

### EMAIL

    public static final String EMAIL

See Also:
  Constant Field Values

### FULL_NAME

    public static final String FULL_NAME

See Also:
  Constant Field Values

### NICKNAME

    public static final String NICKNAME

See Also:
  Constant Field Values

### BIRTHDAY

    public static final String BIRTHDAY

See Also:
  Constant Field Values

### PHOTO

    public static final String PHOTO

See Also:
  Constant Field Values

### HOME_STREET

    public static final String HOME_STREET

See Also:
  Constant Field Values

### HOME_CITY

    public static final String HOME_CITY

See Also:
  Constant Field Values

### HOME_STATE

    public static final String HOME_STATE

See Also:
  Constant Field Values

### HOME_ZIP

    public static final String HOME_ZIP

See Also:
  Constant Field Values

### HOME_COUNTRY

    public static final String HOME_COUNTRY

See Also:
  Constant Field Values

### HOME_PHONE

    public static final String HOME_PHONE

See Also:
  Constant Field Values

### HOME_MOBILE

    public static final String HOME_MOBILE

See Also:
  Constant Field Values

### HOME_FAX

    public static final String HOME_FAX

See Also:
  Constant Field Values

### HOME_PAGER

    public static final String HOME_PAGER

See Also:
  Constant Field Values

### BUSINESS_STREET

    public static final String BUSINESS_STREET

See Also:
  Constant Field Values

### BUSINESS_CITY

    public static final String BUSINESS_CITY

See Also:
  Constant Field Values

### BUSINESS_STATE

    public static final String BUSINESS_STATE

See Also:
  Constant Field Values

### BUSINESS_ZIP

    public static final String BUSINESS_ZIP

See Also:
  Constant Field Values

### BUSINESS_COUNTRY

    public static final String BUSINESS_COUNTRY

See Also:
  Constant Field Values

### BUSINESS_JOB_TITLE

    public static final String BUSINESS_JOB_TITLE

See Also:
  Constant Field Values

### BUSINESS_DEPARTMENT

    public static final String BUSINESS_DEPARTMENT

See Also:
  Constant Field Values

### BUSINESS_PHONE

    public static final String BUSINESS_PHONE

See Also:
  Constant Field Values

### BUSINESS_MOBILE

    public static final String BUSINESS_MOBILE

See Also:
  Constant Field Values

### BUSINESS_FAX

    public static final String BUSINESS_FAX

See Also:
  Constant Field Values

### BUSINESS_PAGER

    public static final String BUSINESS_PAGER

See Also:
  Constant Field Values

Constructor Detail

### LdapUserTester

    public LdapUserTester(LdapManager manager,
                          LdapUserProfile profile)

Method Detail

### getSample

    public List<String> getSample(int maxSample)
                           throws NamingException

  Returns a list of usernames with a sample of the users found in LDAP.

  Parameters:
    `maxSample` - the max size of the sample to return.
  Returns:
    a list of usernames with a sample of the users found in LDAP.
  Throws:
    `NamingException` - if something goes wrong....

### getAttributes

    public Map<String,String> getAttributes(String username)

  Returns a list of attributes and their LDAP values found in LDAP for the specified username.

  Parameters:
    `username` - the username of the user to get his attributes from LDAP.
  Returns:
    a list of attributes and their LDAP values found in LDAP for the specified username.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.